import 'package:flutter_test/flutter_test.dart';

import 'package:pr_geo/pr_geo.dart';

void main() {
  test('Calculate Distance between coordinates', () {
    GeoCoordinate point1 = GeoCoordinate(
      latitude: 0,
      longitude: 1,
    );
    GeoCoordinate point2 = GeoCoordinate(
      latitude: 0,
      longitude: 2,
    );
    print('Distance between points is: ${PR_Geo.distance(point1, point2)}');
  });
  test('Negative coordinates test', () {
    GeoCoordinate point1 = GeoCoordinate(
      latitude: 0,
      longitude: -35,
    );
    GeoCoordinate point2 = GeoCoordinate(
      latitude: 0,
      longitude: -47,
    );
    print('Negative coordinates distance: ${PR_Geo.distance(point1, point2)}');
  });
  test('More than 180 degrees', () {
    GeoCoordinate point1 = GeoCoordinate(
      latitude: 0,
      longitude: -35,
    );
    GeoCoordinate point2 = GeoCoordinate(
      latitude: 0,
      longitude: 47,
    );
    print('Distance between points is: ${PR_Geo.distance(point1, point2)}');
  });
  test('Longitude distance test', () {
    GeoCoordinate point1 = GeoCoordinate(
      latitude: 10,
      longitude: 0,
    );
    GeoCoordinate point2 = GeoCoordinate(
      latitude: 25,
      longitude: 0,
    );
    print('Distance between points is: ${PR_Geo.distance(point1, point2)}');
  });
  test('Combined coordinates', () {
    GeoCoordinate point1 = GeoCoordinate(
      latitude: 57,
      longitude: 10,
    );
    GeoCoordinate point2 = GeoCoordinate(
      latitude: 22,
      longitude: 31,
    );
    print('Distance between points is: ${PR_Geo.distance(point1, point2)}');
  });
}
